Summary: SME server module to configure pdns_recursor
%define name smeserver-pdns_recursor
Name: %{name}
%define version 0.0.1
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-pdns_recursor-0.0.1.configuration.patch
Patch1: smeserver-pdns_recursor-0.0.1.configuration.patch2
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-lib >= 1.15.1-19
Requires: pdns-recursor
Obsoletes: e-smith-dnscache
Conflicts: e-smith-dnscache
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
SME server enhancement to configure and run PowerDNS recursor as a
caching nameserver

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Thu Aug 24 2006 Charlie Brady <charlieb@e-smith.com> 0.0.1-03
- Various configuration fixes. Functional in basic configuration now.
- TODO: Handle forwarding configurations correctly.

* Thu Aug 24 2006 Charlie Brady <charlieb@e-smith.com> 0.0.1-02
- Add configuration scripts and templates

* Wed Aug 23 2006 Charlie Brady <charlieb@e-smith.com> 0.0.1-01
- Initial

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks
rm -f %{name}-%{version}-%{release}-filelist
mkdir -p root/var/log/pdns_recursor
touch root/var/service/pdns_recursor/down

%pre
/sbin/e-smith/create-system-user dnscache 410 \
    "DNScache user" /var/service/dnscache /bin/false
/sbin/e-smith/create-system-user dnslog 411 \
    "DNS log user" /var/log /bin/false

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir /var/service/pdns_recursor 'attr(0755,root,root)' \
    --dir /var/service/pdns_recursor/log 'attr(0755,root,root)' \
    --file /var/service/pdns_recursor/run 'attr(0750,root,root)' \
    --file /var/service/pdns_recursor/log/run 'attr(0750,root,root)' \
    --dir /var/log/pdns_recursor 'attr(02755,dnslog,dnslog)' \
    > %{name}-%{version}-%{release}-filelist
#echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
